
Installer - Bug #31662

Foreman content proxy doesn't listen on port 80 anymore

01/18/2021 06:21 AM - Gerald Vogt

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version: 2.3.3   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: No Found in Releases: 2.3.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/315

  

Description

Upgrading from katello 3.17 to katello 3.18.1, foreman 2.2 to 2.3.1 it seems my content proxy server doesn't listen to port 80

anymore. I have a seperate server running only the content proxy for my clients. After upgrade it's not listening to port 80, which

breaks (among other things) provisioning through those proxys as the server hosting the tftp server tries to retrieve the vmlinuz etc.

via port 80 from the proxy.

See also https://community.theforeman.org/t/content-proxy-not-listing-to-port-80-anymore/21996

Associated revisions

Revision 2dc0d723 - 01/20/2021 04:47 PM - Eric Helms

Fixes #31662: Set enable_http to ensure pub dir is deployed to Pulp vhost

History

#1 - 01/19/2021 01:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/315 added

#2 - 01/19/2021 01:57 PM - Tomer Brisker

- Target version set to 2.3.3

#3 - 01/20/2021 04:47 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#4 - 01/20/2021 05:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|2dc0d723e6e16e3094aa3bd2bffb083190fc2b30.

#5 - 03/18/2021 02:48 PM - Amit Upadhye

- Category set to Foreman modules
